--- title: "Get pipeline execution history list" slug: "devtools-sourcepipeline-projecthistorylist" tags: ["SourcePipeline"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcepipeline-projecthistorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get pipeline execution history list Available in Classic and VPC Get the pipeline execution history list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/history | ### Request headers For information about the headers common to all SourcePipeline APIs, see [SourcePipeline request headers](/docs/en/devtools-sourcepipeline#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Pipeline ID - See [Get pipeline list](/docs/en/devtools-sourcepipeline-projectlist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Number | Optional | Page number - 1-N - Required when entering `pageSize` | | `pageSize` | Number | Optional | Number of items per page - 1-N - Required when entering `pageNo` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcepipeline.apigw.ntruss.com/api/v1/project/2***/history' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.historyList` | Array | - | Running history list: [historyList](/docs/en/devtools-sourcepipeline-projecthistorylist#historyList) | #### `historyList` The following describes `historyList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | Number | - | Pipeline ID | | `id` | Number | - | Execution job result ID | | `requestType` | String | - | Execution request type - `console` \| `trigger` - `console`: user request - `trigger`: reserved trigger | | `requestId` | String | - | Execution requestor | | `begin` | Number | - | Execution request time - Unix timestamp format | | `end` | Number | - | Execution end time - Unix timestamp format | | `status` | String | - | Operation status | ### Response status codes For information about the HTTP status codes common to all SourcePipeline APIs, see [SourcePipeline response status codes](/docs/en/devtools-sourcepipeline#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "historyList": [ { "projectId": 2***, "id": 54***, "requestType": "console", "requestId": "*************", "begin": 1747038523000, "end": 1747038530000, "status": "success" } ] } } ```